math::TSimplifier< T > Class Template Reference

`#include <simplifier.h>`

Inheritance diagram for math::TSimplifier< T >:
[legend]
Collaboration diagram for math::TSimplifier< T >:
[legend]

## Static Public Member Functions

static TNode< T > * | simplify (const TNode< T > *AExpression)
| Simplifies given expression and returns its result.

## Additional Inherited Members

## Detailed Description

### template<typename T>
class math::TSimplifier< T >

Todo:
  : complete the simplifier implementation (using expr pattern matching).

Definition at line 34 of file simplifier.h.

The documentation for this class was generated from the following file:

- simplifier.h